Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.balance
Class EPPBalanceInfoCmd

    java.lang.Object
      com.verisign.epp.codec.gen.EPPCommand
          com.verisign.epp.codec.gen.EPPInfoCmd
              com.verisign.epp.codec.balance.EPPBalanceInfoCmd

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPBalanceInfoCmd

extends EPPInfoCmd

Represents an EPP Balance <info> command that is used to retrieve account balance and other finance information defined in the `EPPBalanceInfoResp`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPCommand
`extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

Constructor Summary
`EPPBalanceInfoCmd()` Default constructor
`EPPBalanceInfoCmd(java.lang.String aTransId)` This constructor calls the super `EPPInfoCmd(String)` method to set the transaction id for the command.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPBalanceInfoCmd`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPBalanceInfoCmd` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPBalanceInfoCmd` instance.
`boolean` | `equals(java.lang.Object o)` Compare an instance of `EPPBalanceInfoCmd` with this instance.
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPBalanceInfoCmd`.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPInfoCmd
`doGenDecode, doGenEncode, getType`

Methods inherited from class com.verisign.epp.codec.gen.EPPCommand
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPBalanceInfoCmd

    public EPPBalanceInfoCmd()

  Default constructor

### EPPBalanceInfoCmd

    public EPPBalanceInfoCmd(java.lang.String aTransId)

  This constructor calls the super `EPPInfoCmd(String)` method to set the transaction id for the command.

  Parameters:
    `aTransId` - Client Transaction Id associated with command.

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPBalanceInfoCmd`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPCommand`
  Returns:
    clone of `EPPBalanceInfoCmd`.
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### equals

    public boolean equals(java.lang.Object o)

  Compare an instance of `EPPBalanceInfoCmd` with this instance.

  Overrides:
    `equals` in class `EPPInfoCmd`
  Parameters:
    `o` - Object to compare with.
  Returns:
    DOCUMENT ME!

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPBalanceInfoCmd`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Specified by:
    `getNamespace` in class `EPPCommand`
  Returns:
    `EPPBalanceMapFactory.NS`

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPCommand`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPBalanceInfoCmd` attributes from the aElement DOM Element tree.

  Specified by:
    `doDecode` in class `EPPInfoCmd`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPBalanceInfoCmd` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPBalanceInfoCmd` instance.

  Specified by:
    `doEncode` in class `EPPInfoCmd`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the `EPPBalanceInfoCmd` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPBalanceInfoCmd` instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.